Page MenuHomePhabricator

Popups: Raise test coverage for the new reference preview type
Closed, ResolvedPublic8 Story Points

Description

Placeholder ticket for patches that do nothing but touching tests (a.k.a. "technical stories"). They have all been created with a user story in mind, but don't actually solve a story.

Acceptance criteria:

Event Timeline

Change 486522 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Fix a series of issues with misdetected reference elements

https://gerrit.wikimedia.org/r/486522

Change 486844 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Add missing HTML escaping to all existing page preview types

https://gerrit.wikimedia.org/r/486844

thiemowmde triaged this task as Normal priority.Jan 30 2019, 4:00 PM
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Backlog to Doing on the Reference Previews board.Jan 30 2019, 4:02 PM
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2019-01-23 board.

Change 486844 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add missing HTML escaping to all existing page preview types

https://gerrit.wikimedia.org/r/486844

Change 486522 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix a series of issues with misdetected reference elements

https://gerrit.wikimedia.org/r/486522

Change 487351 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Rename page gateway file

https://gerrit.wikimedia.org/r/487351

Change 487352 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Factor out gateway selection

https://gerrit.wikimedia.org/r/487352

Change 487351 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Rename page gateway file

https://gerrit.wikimedia.org/r/487351

Change 487355 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Tests for the code deciding on the general gateway type

https://gerrit.wikimedia.org/r/487355

Change 487352 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Factor out gateway selection

https://gerrit.wikimedia.org/r/487352

Change 487355 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Tests for the code deciding on the general gateway type

https://gerrit.wikimedia.org/r/487355

thiemowmde updated the task description. (Show Details)Feb 1 2019, 11:52 AM
WMDE-Fisch updated the task description. (Show Details)Mar 20 2019, 1:11 PM
WMDE-Fisch updated the task description. (Show Details)Mar 20 2019, 1:15 PM
WMDE-Fisch set the point value for this task to 8.

Change 498139 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Add tests for the reference preview fade effect

https://gerrit.wikimedia.org/r/498139

WMDE-Fisch updated the task description. (Show Details)Mar 21 2019, 4:08 PM

Change 498422 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Test ReferencePreview read link links to correct target

https://gerrit.wikimedia.org/r/498422

WMDE-Fisch updated the task description. (Show Details)Mar 22 2019, 4:31 PM

Change 498795 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Popups@master] Add test for dwelling reference links inside a reference preview

https://gerrit.wikimedia.org/r/498795

WMDE-Fisch updated the task description. (Show Details)Mon, Mar 25, 10:19 AM
WMDE-Fisch claimed this task.
WMDE-Fisch moved this task from Doing to Review on the WMDE-QWERTY-Season-Sprint-2019-03-20 board.

Change 498139 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add tests for the reference preview fade effect

https://gerrit.wikimedia.org/r/498139

Change 498795 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add test for dwelling reference links inside a reference preview

https://gerrit.wikimedia.org/r/498795

Change 498422 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Move test for escaped URLs into seperate check

https://gerrit.wikimedia.org/r/498422

WMDE-Fisch updated the task description. (Show Details)Tue, Mar 26, 3:00 PM
WMDE-Fisch moved this task from Review to Done on the WMDE-QWERTY-Season-Sprint-2019-03-20 board.
WMDE-Fisch closed this task as Resolved.

Change 499232 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Fix incomplete test coverage for referencePreview renderer

https://gerrit.wikimedia.org/r/499232

Change 499232 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix incomplete test coverage for referencePreview renderer

https://gerrit.wikimedia.org/r/499232